Coin: SoLocation2Event Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | List of all members
SoLocation2Event Class Reference
Event Classes

The SoLocation2Event class contains information about 2D movement events. More...

`#include <Inventor/events/SoLocation2Event.h>`

Inheritance diagram for SoLocation2Event:

## Public Member Functions
virtual SoType | getTypeId (void) const
| SoLocation2Event (void)
virtual | ~SoLocation2Event ()
Public Member Functions inherited from SoEvent
| SoEvent (void)
virtual | ~SoEvent ()
SbBool | isOfType (SoType type) const
void | setTime (const SbTime t)
SbTime | getTime (void) const
void | setPosition (const SbVec2s &p)
const SbVec2s & | getPosition (void) const
const SbVec2s & | getPosition (const SbViewportRegion &vpRgn) const
const SbVec2f & | getNormalizedPosition (const SbViewportRegion &vpRgn) const
void | setShiftDown (SbBool isDown)
SbBool | wasShiftDown (void) const
void | setCtrlDown (SbBool isDown)
SbBool | wasCtrlDown (void) const
void | setAltDown (SbBool isDown)
SbBool | wasAltDown (void) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoEvent
static SoType | getClassTypeId (void)
static void | initClass (void)

## Detailed Description

The SoLocation2Event class contains information about 2D movement events.

Location2 events are generated by devices capable of 2D, e.g. pointer devices – typically a computer mouse. Instances of this class contain information about the position of the pointer on the render area.

SoLocation2Event does not contain any new information versus its superclass, its sole purpose is to make it possible to specify the type of the event for event object receivers in the scene graph.

See also
  SoEvent, SoMotion3Event
  SoEventCallback, SoHandleEventAction

## Constructor & Destructor Documentation

## ◆ SoLocation2Event()

SoLocation2Event::SoLocation2Event | ( | void |  | ) |

Constructor.

## ◆ ~SoLocation2Event()

SoLocation2Event::~SoLocation2Event | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoLocation2Event::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getTypeId()

SoType SoLocation2Event::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoEvent. This is used for runtime type checking and "downward" casting.

Reimplemented from SoEvent.

## ◆ initClass()

void SoLocation2Event::initClass | ( | void |  | ) |
| static

Initialize the type information data.

The documentation for this class was generated from the following files:

- SoLocation2Event.h
- SoLocation2Event.cpp